> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Close Review Decision



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/close_review/runs/{qid}/resolutions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/close_review/runs/{qid}/resolutions:
    post:
      tags:
        - close_review_admin
        - quanta-services-api
      summary: Resolve Close Review Decision
      operationId: resolve_close_review_decision
      parameters:
        - name: qid
          in: path
          required: true
          schema:
            type: string
            title: Qid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveCloseReviewDecisionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloseReviewDecisionResolutionResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ResolveCloseReviewDecisionRequest:
      properties:
        decision_key:
          type: string
          minLength: 1
          title: Decision Key
        status:
          $ref: '#/components/schemas/CloseReviewResolutionStatus'
        chosen_option_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chosen Option Id
        reason_code:
          anyOf:
            - $ref: '#/components/schemas/CloseReviewResolutionReasonCode'
            - type: 'null'
        reason_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Text
        reason:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Reason
      additionalProperties: false
      type: object
      required:
        - decision_key
        - status
      title: ResolveCloseReviewDecisionRequest
    CloseReviewDecisionResolutionResponse:
      properties:
        decision_key:
          type: string
          title: Decision Key
        status:
          $ref: '#/components/schemas/CloseReviewResolutionStatus'
        chosen_option_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chosen Option Id
        reason_code:
          anyOf:
            - $ref: '#/components/schemas/CloseReviewResolutionReasonCode'
            - type: 'null'
        reason_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Text
        result_record:
          anyOf:
            - $ref: '#/components/schemas/ActionTarget'
            - type: 'null'
        created_by_user_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Qid
        resolved_by_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolved By Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - decision_key
        - status
        - chosen_option_id
        - reason_code
        - reason_text
        - created_by_user_qid
        - created_at
        - updated_at
      title: CloseReviewDecisionResolutionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloseReviewResolutionStatus:
      type: string
      enum:
        - DONE
        - APPLIED
        - PARTIALLY_APPLIED
        - NOT_RIGHT
      title: CloseReviewResolutionStatus
    CloseReviewResolutionReasonCode:
      type: string
      enum:
        - WRONG_FIX
        - NOT_AN_ISSUE
        - WRONG_PERIOD
        - NEEDS_CUSTOMER
        - OTHER
      title: CloseReviewResolutionReasonCode
    ActionTarget:
      properties:
        qid:
          type: string
          title: Qid
        kind:
          type: string
          title: Kind
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
      additionalProperties: true
      type: object
      required:
        - qid
        - kind
      title: ActionTarget
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.